{
  "BrowseFullVal": "ns=4;i=5001",
  "BrowseNSIndex": 4,
  "BrowseValue": 5001,
  "keyPartCount": "tomes_17_partial_prod",
  "keyPartReq": "tomach_6_quantity",
  "keyPartId": "",
  "keyProgName": "",
  "keyRunMode": "",
  "pingAsPowerOn": false,
  "condWork": [
    {
      "keyName": "tomes_5_autom",
      "targetValue": "True"
    }
  ],
  "condPowerOn": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "tomes_2_mach_on",
        "targetValue": "True"
      }
    ]
  },
  "condReady": {
    "checkMode": "AND",
    "checkList": []
  },
  "condManual": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "tomes_6_manual",
        "targetValue": "True"
      }
    ]
  },
  "condEStop": {
    "checkMode": "AND",
    "checkList": []
  },
  "condError": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "tomes_7_alarm",
        "targetValue": "True"
      }
    ]
  },
  "condCountEnabled": {
    "checkMode": "AND",
    "checkList": []
  },
  "condWarmUpCoolDown": {
    "checkMode": "OR",
    "checkList": [],
    "negateValue": true
  },
  "condWarning": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "tomes_8_warning",
        "targetValue": "True"
      }
    ]
  },
  "condSetup": {
    "checkMode": "AND",
    "checkList": [
      {
        "keyName": "tomes_3_setup",
        "targetValue": "True"
      }
    ]
  },
  "fluxLogVeto": [
    "tomes_1_Watchdog"
  ],
  "itemTranslation": {
    "avail": "Machine Available",
    "rstat": "Execution Mode",
    "mode": "Controller Mode",
    "ncprog": "Program Name",
    "tomes_13_good_prod": "Pezzi Prodotta",
    "tomach_6_quantity": "Qta Richiesta",
    "fdovrd": "PATH FEED OVERRIDE",
    "rovrd": "PATH RAPID OVERRIDE"
  },
  "paramsEndThresh": {
    "InvDDone": 50
  },
  "mMapWrite": {
    "setPzComm": {
      "name": "setPzComm",
      "description": "Qty",
      "tipoMem": "Int",
      "memAddr": "ns=4;s=tomach_6_quantity",
      "index": 0,
      "size": 4
    },
    "setComm": {
      "name": "setComm",
      "description": "Commessa",
      "tipoMem": "String",
      "memAddr": "ns=4;s=tomach_4_prod_order",
      "index": 0,
      "size": 24
    },
    "setArt": {
      "name": "setArt",
      "description": "Articolo",
      "tipoMem": "String",
      "memAddr": "ns=4;s=tomach_3_code_die",
      "index": 0,
      "size": 24
    }
  },
  "subscribedItems": [
    "ns=4;s=tomes_1_Watchdog",
    "ns=4;s=tomes_2_mach_on",
    "ns=4;s=tomes_3_setup",
    "ns=4;s=tomes_4_impulse",
    "ns=4;s=tomes_5_autom",
    "ns=4;s=tomes_6_manual",
    "ns=4;s=tomes_7_alarm",
    "ns=4;s=tomes_8_warning",
    "ns=4;s=tomes_10_cycle_life",
    "ns=4;s=tomes_11_ack_new_order",
    "ns=4;s=tomes_13_good_prod",
    "ns=4;s=tomes_14_bad_prod_calipso",
    "ns=4;s=tomes_15_bad_prod_startup",
    "ns=4;s=tomes_16_bad_prod_stop",
    "ns=4;s=tomes_17_partial_prod",
    "ns=4;s=tomes_18_total_prod",
    "ns=4;s=tomes_20_code_die",
    "ns=4;s=tomes_21_order",
    "ns=4;s=tomach_1_watchdog",
    "ns=4;s=tomach_2_new_prod",
    "ns=4;s=tomach_3_code_die",
    "ns=4;s=tomach_4_prod_order",
    "ns=4;s=tomach_6_quantity"
  ],
  "WatchDog": {
    "IsEnabled": true,
    "MemConfRead": "ns=4;s=tomes_1_Watchdog",
    "MemConfWrite": "ns=4;s=tomach_1_watchdog",
    "MaxVal": 9999
  },
  "SetupConf": {
    "SetupMode": "MECOLPRESS",
    "EnableAdvSetup": false,
    "checkParList": {
      "tomach_3_code_die": "tomes_20_code_die",
      "tomach_4_prod_order": "tomes_21_order"
    },
    "writeParAction": [
      {
        "TargetParam": "ns=4;s=tomach_2_new_prod",
        "TargetValEqual": 0,
        "TargetValNotEqual": 1,
        "DisablePzCountNotEqual": true
      }
    ]
  }
}